<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;
                                             charset=utf-8">
    <title>OpenLayers Basic OSM Example</title>
    <link rel="stylesheet" href="https://openlayers.org/dev/theme/default/google.css" type="text/css">
    <script src="https://maps.google.com/maps/api/js?v=3.6&amp;sensor=false"></script>
    <script src="https://openlayers.org/api/OpenLayers.js"></script>
    <script type="text/javascript">
        var map, layer;
        function init(){

    map = new OpenLayers.Map({
        div: "map",
        projection: new OpenLayers.Projection("EPSG:900913")
    });
    
    var uofc = new OpenLayers.Layer.OSM("UofC","https://map.cam.ac.uk/tiles/${z}/${x}/${y}.png");            
    var osm = new OpenLayers.Layer.OSM();            
    var gmap = new OpenLayers.Layer.Google("Google Streets");
    
    map.addLayers([uofc, osm, gmap]);

    map.addControl(new OpenLayers.Control.LayerSwitcher());

            map.setCenter(
                new OpenLayers.LonLat(0.1218, 52.2021).transform(
                    new OpenLayers.Projection("EPSG:4326"),
                    map.getProjectionObject()
                ), 15
            );    
        }

    </script>
  </head>

  <body onload="init()">
    <h1>OpenLayers</h1>

    <p>A simple example using
    the <a href="https://openlayers.org/">OpenLayers</a> library to
    display a map that can display University, OSM, or Google mapping
    (click the '+' on the right-hand side).</p>

    <div id="map" style="width: 600px; height: 500px; border: 1px solid black;
        margin: 0 auto; display: block;"></div>

  </body>

</html>
